Tjar
  1. Products
Tjar
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Create Order
      POST
    • Change Order Status
      POST
    • Edit Order
      POST
  • Products
    • List Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Delete Product
      DELETE
    • Update Product
      PATCH
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  1. Products

Update Product

Developing
PATCH
/products/{identifier}
Last modified:2026-03-04 22:40:11

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠404Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/products/192' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name_ar": "اسم المنتج الجديد",
    "name_en": "New Product Name",
    "summery_ar": "حذاء رياضي المنتج الجديد",
    "summery_en": "New Product sports shoe",
    "description_ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
    "description_en": "<p>Detailed description of the sports shoe with high quality materials</p>",
    "sale_price": 99.99,
    "price": 120.00,
    "cost": 60.00,
    "image_id": 741,
    "status_id": 1,
    "category": [
        1
    ],
    "sub_category": [],
    "child_category": [],
    "tags": [
        "electronics",
        "sale",
        "new"
    ],
    "product_gallery": [
        735,
        736,
        739
    ],
    "item_stock_count": [
        50,
        30,
        20
    ],
    "item_color": [
        "red",
        "blue",
        "green"
    ],
    "item_size": [
        "S",
        "M",
        "L"
    ],
    "item_additional_price": [
        0,
        5.00,
        10.00
    ],
    "item_extra_cost": [
        0,
        2.00,
        4.00
    ],
    "item_image": [
        735,
        736,
        739
    ],
    "item_attribute_name": [
        [
            "Material",
            "Weight"
        ],
        [
            "Material",
            "Weight"
        ],
        [
            "Material",
            "Weight"
        ]
    ],
    "item_attribute_value": [
        [
            "Cotton",
            "200g"
        ],
        [
            "Cotton",
            "200g"
        ],
        [
            "Polyester",
            "250g"
        ]
    ],
    "video_source": "local",
    "video_id_local": 55,
    "product_options": [
        {
            "type": "radio",
            "title": {
                "ar": "الحجم",
                "en": "Size"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": true,
            "multiSelect": false,
            "options": {
                "ar": {
                    "صغير": 0,
                    "وسط": 5,
                    "كبير": 10
                },
                "en": {
                    "Small": 0,
                    "Medium": 5,
                    "Large": 10
                }
            }
        }
    ],
    "unit_id": 2,
    "uom": "10",
    "length": 10.5,
    "width": 5.0,
    "height": 3.0,
    "policy_description": "Returns accepted within 30 days of purchase.",
    "related_products": [
        189,
        2
    ]
}'
Response Response Example
200 - OK
{
    "status": "success",
    "message": "Product updated successfully",
    "data": {
        "id": 192,
        "identifier": 192,
        "name": {
            "ar": "اسم المنتج الجديد",
            "en": "New Product Name"
        },
        "summary": {
            "ar": "حذاء رياضي مريح وأنيق",
            "en": "Comfortable and stylish sports shoe"
        },
        "description": {
            "ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
            "en": "<p>Detailed description of the sports shoe with high quality materials</p>"
        },
        "type": "physical",
        "price": 120,
        "sale_price": 99.99,
        "is_refundable": true,
        "min_purchase": 1,
        "max_purchase": 5,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/3-screen-of-tutorial1766840221.png",
        "is_published": true,
        "ratings": null,
        "created_at": "2026-02-27 23:54:46",
        "updated_at": "2026-03-04 00:03:33"
    }
}
Modified at 2026-03-04 22:40:11
Previous
Delete Product
Next
Media
Built with